# frozen_string_literal: true

module Netilion
  class APIKey < LHS::Record
    configuration items_key: :api_keys

    endpoint '{+api}/api_keys'
    endpoint '{+api}/api_keys/{id}'

    has_one :client_application, class_name: 'Netilion::ClientApplication'
  end
end
