# frozen_string_literal: true

module Netilion
  class ApiSubscription < LHS::Record
    configuration items_key: :api_subscriptions

    endpoint '{+api}/api_subscriptions'
    endpoint '{+api}/api_subscriptions/{id}'

    has_one :user, class_name: 'Netilion::User'
    has_one :client_application, class_name: 'Netilion::ClientApplication'
  end
end
