# frozen_string_literal: true

module Netilion
  class Authentication < LHC::Interceptor
    def before_request
      request.options[:auth] = {
        basic: {
          username: ::Netilion.config.username,
          password: ::Netilion.config.password
        }
      }
      request.headers['Api-Key'] = ::Netilion.config.api_key
    end
  end
end
