# frozen_string_literal: true

module Netilion
  class ClientApplication < LHS::Record
    configuration items_key: :client_applications

    endpoint '{+api}/client_applications'
    endpoint '{+api}/client_applications/{id}'

    has_one :contact_person, class_name: 'Netilion::User'
    has_one :technical_user, class_name: 'Netilion::User'
  end
end
