# frozen_string_literal: true

module Netilion
  class Company < LHS::Record
    configuration items_key: :companies

    endpoint '{+api}/companies'
    endpoint '{+api}/companies/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
