# frozen_string_literal: true

module Netilion
  class Document < LHS::Record
    configuration items_key: :documents

    endpoint '{+api}/documents'
    endpoint '{+api}/documents/{id}'

    has_one :classification, class_name: 'Netilion::DocumentClassification'
    has_one :status, class_name: 'Netilion::DocumentStatus'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
