# frozen_string_literal: true

module Netilion
  class DocumentCategory < LHS::Record
    configuration items_key: :categories

    endpoint '{+api}/document/categories'
    endpoint '{+api}/document/categories/{id}'

    has_one :parent, class_name: 'Netilion::DocumentCategory'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
