# frozen_string_literal: true

module Netilion
  class DocumentClassification < LHS::Record
    configuration items_key: :document_classifications

    endpoint '{+api}/document/classifications'
    endpoint '{+api}/document/classifications/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
