# frozen_string_literal: true

module Netilion
  class EventStatus < LHS::Record
    configuration items_key: :event_statuses

    endpoint '{+api}/event/statuses'
    endpoint '{+api}/event/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
