# frozen_string_literal: true

module Netilion
  class EventType < LHS::Record
    configuration items_key: :event_types

    endpoint '{+api}/event/types'
    endpoint '{+api}/event/types/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
