# frozen_string_literal: true

module Netilion
  class HealthCondition < LHS::Record
    configuration items_key: :health_conditions

    endpoint '{+api}/health_conditions'
    endpoint '{+api}/health_conditions/{id}'

    has_one :asset_status, class_name: 'Netilion::AssetStatus'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
