# frozen_string_literal: true

module Netilion
  class Instrumentation < LHS::Record
    configuration items_key: :instrumentations

    endpoint '{+api}/instrumentations'
    endpoint '{+api}/instrumentations/{id}'

    has_one :status, class_name: 'Netilion::InstrumentationStatus'
    has_one :type, class_name: 'Netilion::InstrumentationType'
    has_one :parent, class_name: 'Netilion::Instrumentation'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
