# frozen_string_literal: true

module Netilion
  class InstrumentationType < LHS::Record
    configuration items_key: :instrumentation_types

    endpoint '{+api}/instrumentation/types'
    endpoint '{+api}/instrumentation/types/{id}'

    has_one :parent, class_name: 'Netilion::InstrumentationType'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
