# frozen_string_literal: true

module Netilion
  class NodeType < LHS::Record
    configuration items_key: :node_types

    endpoint '{+api}/node/types'
    endpoint '{+api}/node/types/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
