# frozen_string_literal: true

module Netilion
  class Permission < LHS::Record
    configuration items_key: :permissions

    endpoint '{+api}/permissions'
    endpoint '{+api}/permissions/{id}'

    has_one :permitable
    has_one :request_user, class_name: 'Netilion::User'
    has_one :response_user, class_name: 'Netilion::User'
  end
end
