# frozen_string_literal: true

module Netilion
  class Product < LHS::Record
    configuration items_key: :products

    endpoint '{+api}/products'
    endpoint '{+api}/products/{id}'

    has_one :status, class_name: 'Netilion::ProductStatus'
    has_one :manufacturer, class_name: 'Netilion::Company'
    has_one :parent, class_name: 'Netilion::Product'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
