# frozen_string_literal: true

module Netilion
  class Specification < LHS::Record
    endpoint '{+api}/assets/{asset_id}/specifications'
    endpoint '{+api}/events/{event_id}/specifications'
    endpoint '{+api}/instrumentations/{instrumentation_id}/specifications'
    endpoint '{+api}/nodes/{node_id}/specifications'
    endpoint '{+api}/products/{product_id}/specifications'
    endpoint '{+api}/subscriptions/{subscription_id}/specifications'
    endpoint '{+api}/users/{user_id}/specifications'
  end
end
