# frozen_string_literal: true

module Netilion
  class Attachment < LHS::Record
    configuration items_key: :attachments

    endpoint '{+api}/attachments'
    endpoint '{+api}/attachments/{id}'

    has_one :document, class_name: 'Netilion::Document'
  end
end
