# frozen_string_literal: true

module Netilion
  class Delivery < LHS::Record
    configuration items_key: :deliveries

    endpoint '{+api}/deliveries'
    endpoint '{+api}/deliveries/{id}'

    has_one :sender, class_name: 'Netilion::User'
    has_one :receiver, class_name: 'Netilion::User'
    has_one :status, class_name: 'Netilion::DeliveryStatus'
  end
end
