# frozen_string_literal: true

module Netilion
  class DeliveryStatus < LHS::Record
    configuration items_key: :delivery_statuses

    endpoint '{+api}/delivery/statuses'
    endpoint '{+api}/delivery/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
