# frozen_string_literal: true

module Netilion
  class DocumentStatus < LHS::Record
    configuration items_key: :document_statuses

    endpoint '{+api}/document/statuses'
    endpoint '{+api}/document/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
