# frozen_string_literal: true

module Netilion
  class Event < LHS::Record
    configuration items_key: :events

    endpoint '{+api}/events'
    endpoint '{+api}/events/{id}'

    has_one :status, class_name: 'Netilion::EventStatus'
    has_one :type, class_name: 'Netilion::EventType'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
