# frozen_string_literal: true

module Netilion
  class InstrumentationStatus < LHS::Record
    configuration items_key: :instrumentation_statuses

    endpoint '{+api}/instrumentation/statuses'
    endpoint '{+api}/instrumentation/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
