# frozen_string_literal: true

module Netilion
  class Node < LHS::Record
    configuration items_key: :nodes

    endpoint '{+api}/nodes'
    endpoint '{+api}/nodes/{id}'

    has_one :type, class_name: 'Netilion::NodeType'
    has_one :parent, class_name: 'Netilion::Node'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
