# frozen_string_literal: true

module Netilion
  class ProductCategory < LHS::Record
    configuration items_key: :categories

    endpoint '{+api}/product/categories'
    endpoint '{+api}/product/categories/{id}'

    has_one :parent, class_name: 'Netilion::ProductCategory'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
