# frozen_string_literal: true

module Netilion
  class ProductStatus < LHS::Record
    configuration items_key: :product_statuses

    endpoint '{+api}/product/statuses'
    endpoint '{+api}/product/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
