# frozen_string_literal: true

module Netilion
  class PurchaseOrder < LHS::Record
    configuration items_key: :purchase_orders

    endpoint '{+api}/purchase_orders'
    endpoint '{+api}/purchase_orders/{id}'

    has_one :status, class_name: 'Netilion::PurchaseOrderStatus'
    has_one :sender, class_name: 'Netilion::User'
    has_one :receiver, class_name: 'Netilion::User'
    has_one :quotation, class_name: 'Netilion::Quotation'
  end
end
