# frozen_string_literal: true

module Netilion
  class PurchaseOrderStatus < LHS::Record
    configuration items_key: :purchase_orders_statuses

    endpoint '{+api}/purchase_orders/statuses'
    endpoint '{+api}/purchase_orders/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
