# frozen_string_literal: true

module Netilion
  class Quotation < LHS::Record
    configuration items_key: :quotations

    endpoint '{+api}/quotations'
    endpoint '{+api}/quotations/{id}'

    has_one :status, class_name: 'Netilion::QuotationStatus'
    has_one :sender, class_name: 'Netilion::User'
    has_one :receiver, class_name: 'Netilion::User'
  end
end
