# frozen_string_literal: true

module Netilion
  class QuotationStatus < LHS::Record
    configuration items_key: :quotation_statuses

    endpoint '{+api}/quotation/statuses'
    endpoint '{+api}/quotation/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
