# frozen_string_literal: true

module Netilion
  class RequestForQuotation < LHS::Record
    configuration items_key: :request_for_quotations

    endpoint '{+api}/request_for_quotations'
    endpoint '{+api}/request_for_quotations/{id}'

    has_one :status, class_name: 'Netilion::RequestForQuotationStatus'
    has_one :sender, class_name: 'Netilion::User'
    has_one :receiver, class_name: 'Netilion::User'
  end
end
