# frozen_string_literal: true

module Netilion
  class RequestForQuotationStatus < LHS::Record
    configuration items_key: :request_for_quotation_statuses

    endpoint '{+api}/request_for_quotation/statuses'
    endpoint '{+api}/request_for_quotation/statuses/{id}'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
