# frozen_string_literal: true

module Netilion
  class Subscription < LHS::Record
    configuration items_key: :subscriptions

    endpoint '{+api}/subscriptions'
    endpoint '{+api}/subscriptions/{id}'

    has_one :user, class_name: 'Netilion::User'
    has_one :client_application, class_name: 'Netilion::ClientApplication'
    has_one :successor, class_name: 'Netilion::Subscription'
    has_one :predecessor, class_name: 'Netilion::Subscription'
  end
end
